//
// DXGL.h
//
// Written by Adam Dawes (www.adamdawes.com)
// 17th May, 2002
//
// May be distributed freely.
//

#ifndef DXGL_H
#define DXGL_H


#define DEG2RAD 0.01745f

void dxApplyMatrix(IDirect3DDevice8 *D3DDevice);
void dxLoadIdentity(void);
void dxTranslatef(float fX, float fY, float fZ);
void dxRotatef(float fAngle, float fX, float fY, float fZ);
void dxScalef(float fX, float fY, float fZ);
bool dxPushMatrix(void);
bool dxPopMatrix(void);


#endif

